commit:     70b6c6a94f017c2e73f1a894657508b05557440c
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun May  2 14:58:11 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun May  2 15:01:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70b6c6a9

app-misc/gnote: Version bump to 40.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-misc/gnote/Manifest          |  1 +
 app-misc/gnote/gnote-40.1.ebuild | 72 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-misc/gnote/Manifest b/app-misc/gnote/Manifest
index 6066fef71e4..7661960d605 100644
--- a/app-misc/gnote/Manifest
+++ b/app-misc/gnote/Manifest
@@ -1,2 +1,3 @@
 DIST gnote-3.38.1.tar.xz 3530348 BLAKE2B 
d3312162ffdf505dea31f8e8848bd755d6fc54a5f95250ce6b90a28e04801fb86a8c4e239471442a4501068a841e38e4764da8f16528849fdec57a88bd271891
 SHA512 
ccfe35ff3dc8e90fa96307565875401540c9e03a18ffd5b2c25fdb053927c4bb2b6b5515456f5260c053948b1a63bf6959a73e1ab09feefce61ed2adc257734f
 DIST gnote-40.0.tar.xz 3418516 BLAKE2B 
93834a3d9cdae89604be01b96c5293741263a1812ed23cc51a151c250f42c33c560456ac78a5a97f713dffc095b6f53ffe465da89867df89497239443939f3c4
 SHA512 
098273ee2de15152e7da739b857a8f7c43561e51013d1f42a631b0a9f52edebcd089817a9009556697e4c4b43506834919cd0f8cae7b3d899517f4b6d42eeb31
+DIST gnote-40.1.tar.xz 3420216 BLAKE2B 
a84604b25301fb0332da161a7f1f258542f1dfa16a02f34e700280e87393a3eb6d9005a5ed18204b91d0fccea2f6e44738789ab57dae543707650bfce55165c8
 SHA512 
6f4286fef18b060bb46c1c9f43772df7d9d913d6d1e3e3801e38e277fa660aa213e46f4a825788795f153821f705bbea22df7d1ff90ee949752497274455ad37

diff --git a/app-misc/gnote/gnote-40.1.ebuild b/app-misc/gnote/gnote-40.1.ebuild
new file mode 100644
index 00000000000..d59f76c84cd
--- /dev/null
+++ b/app-misc/gnote/gnote-40.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome2 readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote";
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+# Automagic:
+# glib-2.32 dep
+# >=dev-libs/unittest++-1.5.1 (but not detected due to missing .pc)
+DEPEND="
+       >=app-crypt/libsecret-0.8
+       >=app-text/gspell-1.6.0:=
+       >=dev-cpp/glibmm-2.62.0:2
+       >=dev-cpp/gtkmm-3.22.20:3.0
+       >=dev-libs/glib-2.32:2[dbus]
+       >=dev-libs/libxml2-2:2
+       dev-libs/libxslt
+       >=sys-apps/util-linux-2.16:=
+       >=x11-libs/gtk+-3.22.20:3
+"
+RDEPEND="${DEPEND}
+       gnome-base/gsettings-desktop-schemas
+"
+BDEPEND="
+       app-text/docbook-xml-dtd:4.1.2
+       >=dev-util/intltool-0.35.0
+       dev-util/itstool
+       virtual/pkgconfig
+"
+
+PATCHES=("${FILESDIR}"/${PN}-3.38.1-cstddef.patch)
+
+src_prepare() {
+       # Do not alter CFLAGS
+       sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+
+       gnome2_src_prepare
+
+       if has_version net-fs/wdfs; then
+               DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote 
will use it to
+               synchronize notes."
+       else
+               DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+               If you want to use that functionality just emerge net-fs/wdfs.
+               Gnote will automatically detect that you did and let you use 
it."
+       fi
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               $(use_enable debug)
+}
+
+src_install() {
+       gnome2_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to